Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CardTemplateItem

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.ClaimItem
              org.eclipse.higgins.ics.gwt.base.client.model.entity.CardTemplateItem

All Implemented Interfaces:
  Serializable

public class CardTemplateItem
extends ClaimItem
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`CardTemplateItem()`

Method Summary
`String` | `getInputMask()`
`String[]` | `getOptionalValues()`
`String` | `getPattern()`
`void` | `setInputMask(String inputMask)`
`void` | `setOptionalValues(String[] optionalValues)`
`void` | `setPattern(String pattern)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.ClaimItem
`getClaimType, getContainerValue, getDescription, getErrorList, getId, getValue, getValueType, getValueTypeProperty, isChecked, isValueRequired, isVisible, setChecked, setClaimType, setContainerValue, setDescription, setErrorList, setId, setValue, setValueRequired, setValueType, setValueTypeProperty, setVisible`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardTemplateItem

    public CardTemplateItem()

Method Detail

### getInputMask

    public String getInputMask()

  Returns:
    the inputMask

### setInputMask

    public void setInputMask(String inputMask)

  Parameters:
    `inputMask` - the inputMask to set

### getOptionalValues

    public String[] getOptionalValues()

  Returns:
    the optionalValues

### setOptionalValues

    public void setOptionalValues(String[] optionalValues)

  Parameters:
    `optionalValues` - the optionalValues to set

### getPattern

    public String getPattern()

  Returns:
    the pattern

### setPattern

    public void setPattern(String pattern)

  Parameters:
    `pattern` - the pattern to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD